import ExplorationEvaluation from "../domain/ExplorationEvaluation";
import ActionProbabilityMap from "../domain/ActionProbabilityMap";
import Comment from "../domain/Comment";
import RuleService from "../domain/RuleService";
import State from "../domain/State";
import Question from "../../background/domain/Question";

export default interface Interface4ViewManager {

    getState() : Promise<State>;

    getCommentList() : Promise<Comment[]>;

    getProbabilityMap() : Promise<ActionProbabilityMap>;

    getRuleService() : RuleService;
  
    commentConfirmed(comment: Comment);

    setUserViewPosition(newPosition : {x : number, y: number});

    getExplorationEvaluation(): Promise<ExplorationEvaluation | null>;

    pushAnswer(question: Question, value: boolean);
  
  }